Skip to main content

Verify Email by Token

This request verifies the email address and status of the partner verification email through the verification token. The token is passed in the query URL.

get /verification/email/tokens/{token}

Sample​

A sample GET request to verify the partner verification email through the verification token:

curl -X GET \
'https://api.carrierx.com/core/v2/verification/email/tokens/c0438d84-2bde-4342-861b-0815eb72c012' \
-H 'Authorization: Bearer 5ebc03d6-8b2b-44ad-bf65-72d4f1491dda'

Response​

200 status code with a serialized copy of the Verification Email object:

{
"base_url": "https://www.carrierx.com/confirmed",
"email_template_sid": "3e9e8c56-e1ee-4dcf-9e2b-abbd101139ba",
"partner_sid": null,
"status": "sent_email",
"to_address": "[email protected]"
}

Required Scopes​

To verify email by token, the partner must have one of the following scopes enabled:

  • verification.manage
  • verification.read

Path Arguments​

ParameterData TypeDescription
token requiredstringThe verification email token.